<template>
  <div square flat class="requestCard q-pa-md bord">
    <div class="row q-mb-md ">
      <img class="q-mr-lg" :src="request.pic"/>
      <div class="font-demi text-uppercase text-body1 spacing">{{request.first_name}} {{request.last_name}}</div>
    </div>
    <div class="q-mb-md">
      <div class="font-demi text-subtitle1 text-uppercase spacing q-mb-md">Цель:</div>
      <div class="text-center font-medium text-uppercase text-body1 spacing">{{request.target}}</div>
    </div>
    <div class="row q-col-gutter-x-sm">
      <div class="col-6"><q-btn flat class="text-uppercase font-medium full-width bg-green-1" label="принять"/></div>
      <div class="col-6"><q-btn flat class="full-width bg-red-1 font-medium" label="отклонить"/></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Request',
  props: [
    'request'
  ]
}
</script>

<style scoped lang="scss">
  .requestCard {
    box-shadow: -8px 8px 35px rgba(0, 0, 0, 0.15);
  }
  .bord {
    box-shadow: 0px 11px 20px rgba(0, 0, 0, 0.15);
  }
</style>
